--- owl-0.96/lib/disp.lib.php	2008-11-20 12:56:46.000000000 +0100
+++ owl-0.96-quick_ext_link/lib/disp.lib.php	2009-10-10 17:45:19.651284000 +0200
@@ -351,6 +351,15 @@
       print("<a href=\"$sUrl\"><img src=\"$default->owl_graphics_url/$default->sButtonStyle/icon_action/setacl.png\" border=\"0\" alt=\"$owl_lang->alt_set_folder_acl\" title=\"$owl_lang->alt_set_folder_acl\"></img></a>");
    }
 
+   if ($expand)
+   {
+      $link = $default->owl_notify_link . "browse.php?sess=0&parent=" . $parent . "&fileid=" . $fileid;
+      print("<a href=\"" . $link . "\""
+	    . "title=\"$owl_lang->title_ext_link\">"
+	    . "<img src=\"$default->owl_graphics_url/$default->sButtonStyle/icon_action/link.gif\" border=\"0\"></img>"
+	    . "</a>");
+   }
+
    print(" $owl_lang->current_folder ");
 
    if ( 0 < strlen($message))
--- owl-0.96/locale/English/language.inc	2008-04-24 13:06:01.000000000 +0200
+++ owl-0.96-quick_ext_link/locale/English/language.inc	2009-10-10 17:50:27.526283000 +0200
@@ -457,6 +457,8 @@
 $owl_lang->updated_file			= "Updated!";
 $owl_lang->user               		= "User";
 $owl_lang->ver                       	= "Ver."; 
+$owl_lang->ext_link                    	= "Ext. Link";  // for OWL External Link column (header)
+$owl_lang->link                         = "LINK";       // for OWL External Link column (contents)
 $owl_lang->past_number                  = "Past number of Days :";
 // NEW STUFF
 $owl_lang->favorite = "Favorites";
@@ -1071,6 +1073,7 @@
 $owl_lang->title_view_my     		= "View List of My Files";
 $owl_lang->title_view_new     		= "View List of New Files Since My Last Visit";
 $owl_lang->title_view_updated     	= "View List of Updated Files Since My Last Visit";
+$owl_lang->title_ext_link        	= "URL of the item that can be accessed from outside";
 
 //********************************************************
 // HREF TITLE messages  END
--- owl-0.96/locale/French/language.inc	2008-04-24 13:06:01.000000000 +0200
+++ owl-0.96-quick_ext_link/locale/French/language.inc	2009-10-10 17:51:09.341283000 +0200
@@ -453,6 +453,8 @@
 $owl_lang->updated_file                 = "Mis &agrave; jour!";
 $owl_lang->user                         = "Utilisateur";
 $owl_lang->ver                          = "Ver."; // for version control
+$owl_lang->ext_link                     = "Liene Ext."; // for OWL External Link column (header)
+$owl_lang->link                         = "Liene";      // for OWL External Link column (contents)
 $owl_lang->past_number                  = "Past number of Days :";
 
 //********************************************************
@@ -1036,6 +1038,7 @@
 $owl_lang->title_view_my                = "Visualiser la liste de mes fichiers";
 $owl_lang->title_view_new               = "Voir la liste des nouveaux fichiers depuis ma derni&egrave;re visite";
 $owl_lang->title_view_updated           = "Voir la liste des fichiers mis &agrave; jour depuis ma derni&egrave;re visite";
+$owl_lang->title_ext_link        	= "URL de l'élément qui peut être accédé de l'extérieur";
 
 //********************************************************
 // HREF TITLE messages  END
--- owl-0.96/view_default.php	2008-11-20 12:56:46.000000000 +0100
+++ owl-0.96-quick_ext_link/view_default.php	2009-10-10 17:55:14.252283000 +0200
@@ -31,13 +31,18 @@
 
    if (($default->expand_disp_doc_num and $expand == 1) or ($default->collapse_disp_doc_num and $expand == 0))
    {
-      show_link("id", "sortid", $sortid, $order, $sess, $expand, $parent, $owl_lang->doc_number);
+     show_link("id", "sortid", $sortid, $order, $sess, $expand, $parent, $owl_lang->doc_number);
    }
    if ($default->thumbnails == 1 and $default->thumbnails_small_width > 0)
    {
       print("<td class=\"title1\">&nbsp;</td>\n"); 
    }
 
+   if ($expand == 1)
+   {
+#       print("<td class=\"title1\">$owl_lang->ext_link</td>\n");
+       print("<td class=\"title1\"></td>\n");
+   }
    if (($default->expand_disp_doc_type and $expand == 1) or ($default->collapse_disp_doc_type and $expand == 0))
    {
       print("<td class=\"title1\">&nbsp;</td>\n"); 
@@ -246,6 +251,17 @@
       print("<td class=\"$sTrClass\">&nbsp;</td>\n");
    }
 
+   if ($expand == 1)
+   {
+      $link = $default->owl_notify_link . "browse.php?sess=0&parent=" . $sql->f("id") . "&fileid=0";
+      print("\n<td class=\"$sTrClass\" align=\"left\"");
+      print("<a href=\"" . $link . "\""
+	    . "title=\"$owl_lang->title_ext_link\">"
+	    . "<img src=\"$default->owl_graphics_url/$default->sButtonStyle/icon_action/link.gif\" border=\"0\"></img>"
+	    . "</a>");
+      print("</td>");
+   }
+
    if(($default->expand_disp_doc_type and $expand == 1) or ($default->collapse_disp_doc_type and $expand == 0))
    {
       $urlArgs2 = $urlArgs;
@@ -346,14 +362,13 @@
        print("<td class=\"$sTrClass\" align=\"left\">&nbsp;</td>\n");
    }
 
-
       if ($default->owl_version_control == 1)
       {
          if (($default->expand_disp_version and $expand == 1) or ($default->collapse_disp_version and $expand == 0))
          {
             print("\t\t\t\t<td class=\"$sTrClass\">&nbsp;</td>\n");
          }
-         if (($default->expand_disp_file and $expand == 1) or ($default->collapse_disp_file and $expand == 0))
+         if ($expand == 1)
          {
             print("\t\t\t\t<td class=\"$sTrClass\">");
             if(!$default->old_action_icons)
@@ -677,7 +692,7 @@
       }
    }
 
-//print("Q: $FileQuery");
+#print("Q: $FileQuery");
 $sql->query($FileQuery);
 
 while ($sql->next_record())
@@ -879,6 +894,17 @@
       print("</td>\n");
    }
 
+   if ($expand == 1)
+   {
+      $link = $default->owl_notify_link . "browse.php?sess=0&parent=" . $parent . "&fileid=" . $sql->f("id");
+      print("\n<td class=\"$sTrClass\" align=\"center\">");
+      print("<a href=\"" . $link . "\""
+	    . "title=\"$owl_lang->title_ext_link\">"
+	    . "<img src=\"$default->owl_graphics_url/$default->sButtonStyle/icon_action/link.gif\" border=\"0\"></img>"
+	    . "</a>");
+      print("</td>");
+   }
+
    if (($default->expand_disp_doc_type and $expand == 1) or ($default->collapse_disp_doc_type and $expand == 0))
    {
 
--- owl-0.96/admin/tools/ctable.php	2008-02-06 14:56:56.000000000 +0100
+++ owl-0.96-quick_ext_link/admin/tools/ctable.php	2009-10-10 13:50:41.416337000 +0200
@@ -20,7 +20,7 @@
 $table_prefix = "";
 
 //$dblink = mysql_connect("server.hosting.your.database","username","password") or die ("could not connect");
-$dblink = mysql_connect("localhost","root","") or die ("could not connect");
+$dblink = mysql_connect("localhost","root","root") or die ("could not connect");
 
 if ($action == "clean")
 {
--- owl-0.96/CONTRIB/QUICK_EXT_LINK.txt	1970-01-01 01:00:00.000000000 +0100
+++ owl-0.96-quick_ext_link/CONTRIB/QUICK_EXT_LINK.txt	2009-10-10 18:06:36.189284000 +0200
@@ -0,0 +1,7 @@
+Tommaso Cucinotta (firstname dot lastname at gmail.com) has
+contributed (under GPLv2 license) the "Quick External Link" feature,
+providing a link icon that can be used to quickly copy the OWL
+External URL of each item (current folder or any folder or file
+contained within) for accessing the item from outside. For example,
+copying an item URL for sending it to a collegue becomes much more
+immediate.
